import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:get_demo/pages/home/home_controller.dart';

class HomeView extends GetView<HomeController> {
  const HomeView({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('状态管理'),
        centerTitle: true,
      ),
      body: Obx(() {
        return ListView.builder(
            itemCount: controller.goodsData.length,
            itemBuilder: (context, index) {
              return ListTile(
                title: Text(controller.goodsData[index].title ?? ''),
                trailing: InkWell(onTap: () {
                  controller.toDetail(index);
                }, child: Obx(() {
                  return Text(
                      controller.likeList.contains(controller.goodsData[index])
                          ? '已收藏'
                          : '收藏商品');
                })),
              );
            });
      }),
    );
  }
}
